Update a private location

PUT /api/synthetics/private_locations/{id}

Spaces method and path for this operation:

put /s/{space_id}/api/synthetics/private_locations/{id}

Refer to Spaces for more information.

Update an existing private location's label, tags, or agent policy.

You must have all privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.

When a private location's label is updated, all monitors using this location are also updated to maintain data consistency.

When a private location's agent policy is changed, the package policies of all monitors using this location are deleted and recreated on the new agent policy. Monitors stop running on the previous agents until agents on the new policy pick them up. The new agent policy must be available in all spaces of the private location and must not be used by another private location.

[Required authorization] Route required privileges: uptime-read AND private-location-write AND uptime-write.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • id string Required

    The unique identifier of the private location to update.

    Minimum length is 1, maximum length is 1024.

application/json

Body

  • agentPolicyId string

    The ID of the Fleet agent policy to move the private location to.

    Minimum length is 1, maximum length is 1024.

  • label string

    A new label for the private location. Monitors using this location are updated to match.

    Minimum length is 1, maximum length is 1024.

  • tags array[string]

    An array of tags to categorize the private location.

    Not more than 100 elements. Maximum length of each is 256.

Responses

  • 200 application/json

    A successful response.

    Hide response attributes Show response attributes object
    • agentPolicyId string

      The ID of the agent policy associated with the private location.

    • geo object

      Geographic coordinates (WGS84) for the location.

      Hide geo attributes Show geo attributes object
      • lat number Required

        The latitude of the location.

      • lon number Required

        The longitude of the location.

    • id string

      The unique identifier of the private location.

    • isInvalid boolean

      Indicates whether the location is invalid. If true, the location is invalid, which means the agent policy associated with the location is deleted.

    • label string

      A label for the private location.

    • namespace string

      The namespace of the location, which is the same as the namespace of the agent policy associated with the location.

    • spaces array[string]

      The space IDs where the private location is available.

    • tags array[string]

      An array of tags to categorize the private location.

  • 400

    If the label is shorter than 1 character, or the agentPolicyId is not available in the current space, does not cover all spaces of the private location, or is already used by another private location, the API returns a 400 Bad Request response with a corresponding error message.

  • 404

    If the private location with the specified ID does not exist, the API returns a 404 Not Found response.

PUT /api/synthetics/private_locations/{id}
curl \
  -X PUT "${KIBANA_URL}/api/synthetics/private_locations/location-id" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{"label":"Updated Private Location Name"}'
PUT kbn://api/synthetics/private_locations/location-id
{"label":"Updated Private Location Name"}
Request examples
Update a private location's label.
{
  "label": "Updated Private Location Name"
}
Move a private location to another agent policy.
{
  "agentPolicyId": "new-agent-policy-id"
}
Response examples (200)
{
  "agentPolicyId": "test-private-location-id",
  "geo": {
    "lat": 37.7749,
    "lon": -122.4194
  },
  "id": "test-private-location-id",
  "isInvalid": false,
  "isServiceManaged": false,
  "label": "Updated Private Location Name",
  "spaces": [
    "*"
  ],
  "tags": [
    "private",
    "testing",
    "updated"
  ]
}